/*
Copyright 2002-2019 Vadim Druzhin <cdslow@mail.ru>

You can redistribute and/or modify this file under the terms
of the GNU General Public License version 3 or any later version.

See file COPYING.txt or visit <http://www.gnu.org/licenses/>.
*/

#define STR_BUTTON_OK 1
#define STR_BUTTON_CANCEL 2
#define STR_CDS_REGCLASS 3
#define STR_CDS_CREATEWINDOW 4
#define STR_CDS_RMENU 5
#define STR_CDS_DELCONFIG 6
#define STR_MNU_ABOUT 7
#define STR_MNU_HELP 8
#define STR_MNU_INFO 9
#define STR_MNU_FIND 10
#define STR_MNU_IGNORED 11
#define STR_MNU_CONFIG 12
#define STR_MNU_CLEAR 13
#define STR_MNU_EXIT 14
#define STR_MNU_BROWSE 15
#define STR_MNU_EXPLORE 16
#define STR_MNU_AUTORUN 17
#define STR_CONF_RUN 18
#define STR_CONF_AUTORUN 19
#define STR_CONF_AUTOEXIT 20
#define STR_CONF_HIDE 21
#define STR_CONF_CLOSEONRUN 22
#define STR_CONF_TIMER 23
#define STR_CONF_TIMERENABLE 24
#define STR_CONF_AUTOCLOSE 25
#define STR_CONF_ACTIME 26
#define STR_CONF_FORCEREFRESH 27
#define STR_CONF_NUMNAMES 28
#define STR_CONF_EJECTCLOSE 29
#define STR_CONF_TOPNAMES 30
#define STR_CONF_DEEPMENU 31
#define STR_CONF_ACCESS 32
#define STR_CONF_CDAUTOALL 33
#define STR_CONF_CDAUTORUN 34
#define STR_CONF_CDAUTOPLAY 35
#define STR_CONF_ASPI 36
#define STR_CONF_SPTI 37
#define STR_CONF_DISABLEASPI 38
#define STR_CONF_SHOWUNKNOWN 39
#define STR_CONF_SYSTEM 40
#define STR_CONF_INTERFACE 41
#define STR_CONF_RESTART 42
#define STR_CONF_DISKNOTIFY 43
#define STR_CONF_DNMESSAGE 44
#define STR_CONF_DNEJECT 45
#define STR_CONF_DNCLOSE 46
#define STR_CONF_DNTIMEOUT 47
#define STR_CONF_PASSWORD 48
#define STR_CONF_MISC 49
#define STR_CONF_SAVECONFIG 50
#define STR_CONF_ICONDISK 51
#define STR_CONF_ICONOPEN 52
#define STR_CONF_CMDOPEN 53
#define STR_CONF_CMDEXPLORE 54
#define STR_CONF_CMDAUTORUN 55
#define STR_DRIVE_SETTINGS 56
#define STR_DRIVE_IGNORE 57
#define STR_DRIVE_RESTSPEED 58
#define STR_DRIVE_ATRUN 59
#define STR_DRIVE_ATCHANGE 60
#define STR_DRIVE_ATRESUME 61
#define STR_DRIVE_ATCLOSE 62
#define STR_DRIVE_WITHDISK 63
#define STR_DRIVE_WHENAUDIO 64
#define STR_DRIVE_ATTIMER 65
#define STR_DRIVE_EVERY 66
#define STR_DRIVE_SECONDS 67
#define STR_DRIVE_IGNORESPEED 68
#define STR_DRIVE_MEDIUMTYPE 69
#define STR_DRIVE_DETECTSPEED 70
#define STR_DRIVE_RESCAN 71
#define STR_DRIVE_RESCANFULL 72
#define STR_DRIVE_RESCANREAD 73
#define STR_DRIVE_DVDSPEED 74
#define STR_DRIVE_DVDAUTO 75
#define STR_DRIVE_EDITSPEED 76
#define STR_DRIVE_SERVICE 77
#define STR_DRIVE_FORCEREAD 78
#define STR_DRIVE_SHORTMENU 79
#define STR_DRIVE_AUTOLOCK 80
#define STR_DRIVE_SHORTNAME 81
#define STR_DRIVE_DISKHINT 82
#define STR_EDIT_TITLE 83
#define STR_EDIT_EDIT 84
#define STR_EDIT_DEL 85
#define STR_EDIT_DELALL 86
#define STR_EDIT_ADD 87
#define STR_EDIT_X 88
#define STR_EDIT_KBS 89
#define STR_HKEY_HOTKEYS 90
#define STR_HKEY_EJECT 91
#define STR_HKEY_LOAD 92
#define STR_HKEY_MAX 93
#define STR_HKEY_UP 94
#define STR_HKEY_SELECTED 95
#define STR_HKEY_DOWN 96
#define STR_HKEY_MIN 97
#define STR_PROGRESS_RESCANFAST 98
#define STR_PROGRESS_RESCANFULL 99
#define STR_PROGRESS_RESCANREAD 100
#define STR_ABOUT_VERSION 101
#define STR_ABOUT_LICENSE 102
#define STR_ABOUT_C_SIGN 103
#define STR_ABOUT_C_NAME 104
#define STR_ABOUT_EMAIL 105
#define STR_ABOUT_URL 106
#define STR_INFO_SENSE 107
#define STR_INFO_SUPPORTED 108
#define STR_INFO_NOTSUP 109
#define STR_INFO_CAPSCD 110
#define STR_INFO_CAPSDVD 111
#define STR_INFO_CAPSBD 112
#define STR_INFO_DETECT 113
#define STR_INFO_SET 114
#define STR_INFO_SETSPEED 115
#define STR_INFO_SETSTREAMING 116
#define STR_INFO_SPEEDLIST 117
#define STR_ASPI_NOTINIT 118
#define STR_ASPI_NOTPRESENT 119
#define STR_ASPI_BROKEN 120
#define STR_ASPI_OK 121
#define STR_SPTI_NOTINIT 122
#define STR_SPTI_WRONGVERSION 123
#define STR_SPTI_NODRIVES 124
#define STR_SPTI_NOACCESS 125
#define STR_SPTI_OK 126
#define STR_SCSI_UNKNOWN 127
#define STR_READ_WRONG 128
#define STR_PASS_QUERY 129
#define STR_PASS_NEW 130
#define STR_PASS_PASSWORD 131
#define STR_PASS_AGAIN 132
#define STR_DNOTIFY_DISK 133
#define STR_DNOTIFY_TRAY 134
#define STR_DNOTIFY_TIME 135
#define STR_DNOTIFY_EJECT 136
#define STR_DNOTIFY_CLOSE 137
#define STR_TRAY_BUSY 138
#define STR_TRAY_OPEN 139
#define STR_TRAY_EMPTY 140
#define STR_TRAY_PLAY 141
#define STR_TRAY_PAUSE 142
#define STR_TRAY_CDROM 143
#define STR_TRAY_CDR 144
#define STR_TRAY_CDRW 145
#define STR_TRAY_CD 146
#define STR_TRAY_DVDROM 147
#define STR_TRAY_DVDR 148
#define STR_TRAY_DVDRW 149
#define STR_TRAY_DVD 150
#define STR_TRAY_BDROM 151
#define STR_TRAY_BDR 152
#define STR_TRAY_BDRW 153
#define STR_TRAY_BD 154
#define STR_TRAY_UNKNOWN 155
